"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const chalk_1 = tslib_1.__importDefault(require("chalk"));
const fs = tslib_1.__importStar(require("fs-jetpack"));
const fs_1 = require("../../lib/fs");
exports.MODULE_NAME = 'graphql';
exports.CONVENTIONAL_SCHEMA_FILE_NAME = exports.MODULE_NAME + '.ts';
exports.DIR_NAME = 'graphql';
function emptyExceptionMessage() {
    // todo when the file is present but empty this error message is shown just
    // the same. That is poor user feedback because the instructions are wrong in
    // that case. The instructions in that case should be something like "you have
    // schema files setup correctly but they are empty"
    return `Your GraphQL schema is empty. This is normal if you have not defined any GraphQL types yet. But if you did, check that the file name follows the convention: all ${chalk_1.default.yellow(exports.CONVENTIONAL_SCHEMA_FILE_NAME)} modules or direct child modules within a ${chalk_1.default.yellow(exports.DIR_NAME)} directory are automatically imported.`;
}
exports.emptyExceptionMessage = emptyExceptionMessage;
/**
 * Find all modules called schema modules or directories having the trigger
 * name. This does not grab the child modules of the directory instances!
 */
function findDirOrModules(opts) {
    const localFS = fs.cwd(opts.projectRoot);
    // TODO async
    const files = localFS.find({
        files: true,
        recursive: true,
        matching: [exports.CONVENTIONAL_SCHEMA_FILE_NAME, `**/${exports.MODULE_NAME}/**/*.ts`, ...fs_1.baseIgnores],
    });
    return files.map((f) => localFS.path(f));
}
exports.findDirOrModules = findDirOrModules;
//# sourceMappingURL=schema-modules.js.map