"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const prompts_1 = tslib_1.__importDefault(require("prompts"));
const nexus_logger_1 = require("../nexus-logger");
const Process = tslib_1.__importStar(require("../process"));
const reflection_1 = require("../reflection");
const log = nexus_logger_1.rootLogger.child('plugin');
function createBaseLens(pluginName) {
    return {
        log: log.child(pluginName),
        run: Process.run,
        runSync: Process.runSync,
        prompt: prompts_1.default,
    };
}
exports.createBaseLens = createBaseLens;
function createRuntimeLens(pluginName) {
    return Object.assign(Object.assign({}, createBaseLens(pluginName)), { shouldGenerateArtifacts: reflection_1.isReflectionStage('typegen') });
}
exports.createRuntimeLens = createRuntimeLens;
function createWorktimeLens(layout, pluginName) {
    return Object.assign(Object.assign({}, createBaseLens(pluginName)), { layout: layout, packageManager: layout.packageManager, hooks: {
            create: {},
            dev: {
                addToWatcherSettings: {},
            },
            build: {},
            generate: {},
        } });
}
exports.createWorktimeLens = createWorktimeLens;
//# sourceMappingURL=lens.js.map