import * as Layout from '../layout';
import { Manifest, Plugin } from './types';
/**
 * Normalize a raw plugin manifest.
 *
 * @remarks
 *
 * The raw plugin manifest is what the plugin author defined. This supplies
 * defaults and fulfills properties to produce standardized manifest data.
 */
export declare function entrypointToManifest(plugin: Plugin): Manifest;
/**
 * This gets all the plugins in use in the app.
 *
 * @remarks
 *
 * This is useful for the CLI to get worktime plugins. This will run the app in
 * data mode, in this process.
 */
export declare function getUsedPlugins(layout: Layout.Layout): Promise<Plugin[]>;
//# sourceMappingURL=utils.d.ts.map