import { Plugin } from '../plugin';
import * as Layout from '../layout';
import { ErrorObject } from 'serialize-error';
export declare type Message = {
    type: 'success-plugin';
    data: {
        plugins: Plugin[];
    };
} | {
    type: 'success-typegen';
} | {
    type: 'error';
    data: {
        serializedError: ErrorObject;
    };
};
declare type ReflectionResultPlugins = {
    success: false;
    error: Error;
} | {
    success: true;
    plugins: Plugin[];
};
declare type ReflectionResultArtifactGeneration = {
    success: false;
    error: Error;
} | {
    success: true;
};
/**
 * Run the reflection step of Nexus. Get the used plugins and generate the artifacts optionally.
 */
export declare function reflect(layout: Layout.Layout, opts: {
    usedPlugins: true;
}): Promise<ReflectionResultPlugins>;
export declare function reflect(layout: Layout.Layout, opts: {
    artifacts: true;
}): Promise<ReflectionResultArtifactGeneration>;
export {};
//# sourceMappingURL=reflect.d.ts.map