/**
 * This module is for reporting issues about Nexus. It extracts diagnostics
 * about the proejct and environment and can format them for a GitHub issue.
 */
import { PackageJson } from 'type-fest';
import { Layout } from './layout';
interface Report {
    nexus: string;
    plugins: string[];
    node: string;
    os: {
        platform: string;
        release: string;
    };
    otherDependencies: PackageJson['dependencies'];
    devDependencies: PackageJson['devDependencies'];
    hasAppModule: boolean;
    packageManager: Layout['packageManagerType'];
}
/**
 * Extract diagnostics about the Nexus project.
 */
export declare function getNexusReport(layout: Layout): Promise<Report>;
export {};
//# sourceMappingURL=report.d.ts.map