"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const graphql_1 = require("graphql");
function createGraphQLRequestHandler(schema) {
    function handle(req) {
        const data = req.body;
        const source = new graphql_1.Source(data.query);
        let documentAST;
        try {
            documentAST = graphql_1.parse(source);
        }
        catch (syntaxError) {
            // todo
            // https://github.com/graphql/express-graphql/blob/master/src/index.js
            return;
        }
        const validationFailures = graphql_1.validate(schema, documentAST);
        if (validationFailures.length > 1) {
            // todo
            return;
        }
        // todo validate that if operation is mutation or subscription then http method is not GET
        // https://github.com/graphql/express-graphql/blob/master/src/index.js#L296
        let result;
        try {
            result = graphql_1.execute({
                schema: schema,
                document: documentAST,
            });
        }
        catch (error) {
            // todo
            return;
        }
    }
    return {
        handle,
    };
}
//# sourceMappingURL=handle.js.map