/// <reference types="node" />
import { Express } from 'express';
import { GraphQLSchema } from 'graphql';
import * as HTTP from 'http';
import * as Plugin from '../../lib/plugin';
import { AppState } from '../app';
export interface Server {
    express: Express;
}
export declare function create(appState: AppState): {
    private: {
        settings: {
            change: (newSettings: import("./settings").SettingsInput) => import("./settings").SettingsData;
            data: Readonly<import("./settings").SettingsData>;
        };
        state: {
            running: boolean;
            httpServer: HTTP.Server;
        };
        assemble(loadedRuntimePlugins: Plugin.RuntimeContributions<any>[], schema: GraphQLSchema): void;
        start(): Promise<void>;
        stop(): Promise<void>;
    };
    public: {
        express: import("express-serve-static-core").Express;
    };
};
//# sourceMappingURL=server.d.ts.map