import * as Logger from '@nexus/logger';
import * as Schema from '../schema';
import { SchemaSettingsManager } from '../schema/settings';
import * as Server from '../server';
import { ServerSettingsManager } from '../server/settings';
declare type SettingsInput = {
    logger?: Logger.SettingsInput;
    schema?: Schema.SettingsInput;
    server?: Server.SettingsInput;
};
export declare type SettingsData = Readonly<{
    logger: Logger.SettingsData;
    schema: Schema.SettingsData;
    server: Server.SettingsData;
}>;
/**
 * todo
 */
export declare type Settings = {
    /**
     * todo
     */
    original: SettingsData;
    /**
     * todo
     */
    current: SettingsData;
    /**
     * todo
     */
    change(newSetting: SettingsInput): void;
};
/**
 * Create an app settings component.
 *
 * @remarks
 *
 * The app settings component centralizes settings management of all other
 * components. Therefore it depends on the other components. It requires their
 * settings managers.
 */
export declare function create({ schemaSettings, serverSettings, log, }: {
    schemaSettings: SchemaSettingsManager;
    serverSettings: ServerSettingsManager;
    log: Logger.RootLogger;
}): {
    public: Settings;
};
export {};
//# sourceMappingURL=index.d.ts.map